function result = conjQ(p)
% result = conjQ(p) returns the conjugate quaternion result = p*,
% where both quaternions are represented as a
% row vector of length 4. It also works for p
% being a (n,4) matrix. Then, it will return
% a (n,4) matrix containing the conjugated 
% quaternions.

result = [p(:,1),-p(:,2),-p(:,3),-p(:,4)];